/********************************************************
*					getURL																				*
********************************************************/
if(typeof getURL=='undefined'){
	try{
		var http = new XMLHttpRequest();
		var response = new Object();
		window.getURL = function(url,callback){
			http.open('GET',url,true);
			http.onreadystatechange = function(){
				if(http.readyState==4){
					response.success = http.status==200;
					response.content = http.responseText;
					response.contentType = http.getResponseHeader('Content-Type');
					callback(response);
				}
			}
			http.send(null);
		}
	}
	catch(e) {alert('getURL not available')}
}

/********************************************************
*					parseXML																			*
********************************************************/
if(typeof parseXML=='undefined'){
	try{ 
		var parser = new DOMParser();
		parseXML = function(str,doc){
			if(doc==null) {
				var node = parser.parseFromString(str,"text/xml").documentElement;
				return node;
			} 
			else {
				var node = parser.parseFromString(str,"text/xml").documentElement;
				node = doc.importNode(node,true);
				return node;
			}
		}
	}
	catch(e) {alert('parseXML not available')}
}

/********************************************************
*					printNode																			*
********************************************************/
if(typeof printNode=='undefined'){
	try{
		var serializer = new XMLSerializer();
		printNode= function(node){
			return serializer.serializeToString(node);
			}
	}
	catch(e) {alert('printNode not available')}
}
